Bug 739303 - [abrt] barry-0.17.1-1.fc15: Process /usr/bin/barrybackup was killed by signal 11 (SIGSEGV)
Summary: [abrt] barry-0.17.1-1.fc15: Process /usr/bin/barrybackup was killed by signal...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: barry
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathanael Noblet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0fc49b6cc1e4babffa6469ef45d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-17 12:06 UTC by Markus Schulze
Modified: 2012-08-07 20:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 20:00:07 UTC


Attachments (Terms of Use)

Description Markus Schulze 2011-09-17 12:06:46 UTC
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        barrybackup -d
comment:        I tried to run barrybackup in debug mode, the gui came up, I entered the device password, crash
component:      barry
crash_function: std::vector<Barry::DatabaseItem, std::allocator<Barry::DatabaseItem> >::begin
executable:     /usr/bin/barrybackup
kernel:         2.6.40.4-5.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        barry-0.17.1-1.fc15
reason:         Process /usr/bin/barrybackup was killed by signal 11 (SIGSEGV)
time:           Sat Sep 17 13:48:34 2011
uid:            500
username:       schulze
xsession_errors: 

backtrace:
:[New LWP 2532]
:[Thread debugging using libthread_db enabled]
:Core was generated by `barrybackup -d'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x0805e36d in std::vector<Barry::DatabaseItem, std::allocator<Barry::DatabaseItem> >::begin (this=0x50) at /usr/include/c++/4.6.0/bits/stl_vector.h:473
:473	/usr/include/c++/4.6.0/bits/stl_vector.h: No such file or directory.
:	in /usr/include/c++/4.6.0/bits/stl_vector.h
:
:Thread 1 (Thread 0xb76ec850 (LWP 2532)):
:#0  0x0805e36d in std::vector<Barry::DatabaseItem, std::allocator<Barry::DatabaseItem> >::begin (this=0x50) at /usr/include/c++/4.6.0/bits/stl_vector.h:473
:No locals.
:#1  0x080635b6 in DeviceInterface::GetRecordTotal (this=0x8ad26e0, backupList=...) at DeviceIface.cc:285
:        count = 0
:        i = {Number = 134695048, RecordCount = 1143487228, Name = <error reading variable: Cannot access memory at address 0xfffffff4>}
:#2  0x08065516 in Thread::Backup (this=0x8ad2650, label="") at Thread.cc:142
:        started = 8
:#3  0x08057f03 in BackupWindow::on_backup (this=0x8ab0e88) at BackupWindow.cc:439
:        thread = 0x8ad2650
:        backupLabel = ""
:#4  0x0805c8b6 in sigc::bound_mem_functor0<void, BackupWindow>::operator() (this=0x8ab7f34) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
:No locals.
:#5  0x0805c4fe in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BackupWindow> >::operator() (this=0x8ab7f30) at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
:No locals.
:#6  0x0805bec0 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BackupWindow>, void>::call_it (rep=0x8ab7f18) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
:        typed_rep = 0x8ab7f18
:#7  0x44279a94 in operator() (this=0x8ab6f74) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:440
:No locals.
:#8  Glib::SignalProxyNormal::slot0_void_callback (self=0x89fc9e0, data=0x8ab6f70) at signalproxy.cc:95
:        slot = 0x8ab6f74
:#9  0x434e9e04 in g_cclosure_marshal_VOID__VOID (closure=0x8ab7f60, return_value=0x0, n_param_values=1, param_values=0x8aed768, invocation_hint=0xbfe75f10, marshal_data=0x0) at gmarshal.c:79
:        callback = 0x44279a50 <Glib::SignalProxyNormal::slot0_void_callback(_GObject*, void*)>
:        cc = 0x8ab7f60
:        data1 = 0x89fc9e0
:        data2 = <optimized out>
:        __PRETTY_FUNCTION__ = "g_cclosure_marshal_VOID__VOID"
:#10 0x434ce025 in g_closure_invoke (closure=0x8ab7f60, return_value=0x0, n_param_values=1, param_values=0x8aed768, invocation_hint=0xbfe75f10) at gclosure.c:767
:        marshal = 0x434e9d70 <g_cclosure_marshal_VOID__VOID>
:        marshal_data = 0x0
:        in_marshal = 0
:        __PRETTY_FUNCTION__ = "g_closure_invoke"
:#11 0x434e0591 in signal_emit_unlocked_R (node=0x8a43900, detail=0, instance=0x89fc9e0, emission_return=0x0, instance_and_params=0x8aed768) at gsignal.c:3322
:        tmp = <optimized out>
:        handler = 0x8aa30c0
:        accumulator = 0x0
:        emission = {next = 0xbfe76288, instance = 0x89fc9e0, ihint = {signal_id = 101, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 4}
:        class_closure = 0x8a438c0
:        hlist = 0x8ab7f90
:        handler_list = 0x8aa30c0
:        return_accu = 0x0
:        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
:        signal_id = 101
:        max_sequential_handler_number = 168
:        return_value_altered = 1
:#12 0x434e9442 in g_signal_emit_valist (instance=0x89fc9e0, signal_id=101, detail=0, var_args=0xbfe760cc "\001\266\066D\260L\a\b\024YM") at gsignal.c:2983
:        instance_and_params = 0x8aed768
:        signal_return_type = 4
:        param_values = 0x8aed77c
:        node = <optimized out>
:        i = <optimized out>
:        n_params = 0
:        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
:#13 0x434e95c4 in g_signal_emit (instance=0x89fc9e0, signal_id=101, detail=0) at gsignal.c:3040
:        var_args = 0xbfe760cc "\001\266\066D\260L\a\b\024YM"
:#14 0x4b4e0aca in IA__gtk_button_clicked (button=0x89fc9e0) at gtkbutton.c:1128
:No locals.
:#15 0x4b4e2188 in gtk_real_button_released (button=0x89fc9e0) at gtkbutton.c:1725
:No locals.
:#16 gtk_real_button_released (button=0x89fc9e0) at gtkbutton.c:1715
:No locals.
:#17 0x0030a87a in Gtk::Button::on_released (this=0x8ab0fc0) at button.cc:764
:        base = <optimized out>
:#18 0x0030ad7c in Gtk::Button_Class::released_callback (self=0x89fc9e0) at button.cc:225
:        obj = <optimized out>
:        obj_base = 0x8ab0fcc
:        base = <optimized out>
:#19 0x434e9e04 in g_cclosure_marshal_VOID__VOID (closure=0x8a0e368, return_value=0x0, n_param_values=1, param_values=0x8aed750, invocation_hint=0xbfe76290, marshal_data=0x30ad10) at gmarshal.c:79
:        callback = 0x30ad10 <Gtk::Button_Class::released_callback(_GtkButton*)>
:        cc = 0x8a0e368
:        data1 = 0x89fc9e0
:        data2 = <optimized out>
:        __PRETTY_FUNCTION__ = "g_cclosure_marshal_VOID__VOID"
:#20 0x434cc8ce in g_type_class_meta_marshal (closure=0x8a0e368, return_value=0x0, n_param_values=1, param_values=0x8aed750, invocation_hint=0xbfe76290, marshal_data=0x1a4) at gclosure.c:878
:        class = <optimized out>
:        callback = <optimized out>
:        offset = 420
:#21 0x434ce025 in g_closure_invoke (closure=0x8a0e368, return_value=0x0, n_param_values=1, param_values=0x8aed750, invocation_hint=0xbfe76290) at gclosure.c:767
:        marshal = 0x434cc870 <g_type_class_meta_marshal>
:        marshal_data = 0x1a4
:        in_marshal = 0
:        __PRETTY_FUNCTION__ = "g_closure_invoke"
:#22 0x434dfb25 in signal_emit_unlocked_R (node=0x8a43890, detail=0, instance=0x89fc9e0, emission_return=0x0, instance_and_params=0x8aed750) at gsignal.c:3182
:        accumulator = 0x0
:        emission = {next = 0xbfe76618, instance = 0x89fc9e0, ihint = {signal_id = 100, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 144749344}
:        class_closure = 0x8a0e368
:        hlist = 0x8ab7f80
:        handler_list = <optimized out>
:        return_accu = 0x0
:        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
:        signal_id = 100
:        max_sequential_handler_number = 168
:        return_value_altered = <optimized out>
:#23 0x434e9442 in g_signal_emit_valist (instance=0x89fc9e0, signal_id=100, detail=0, var_args=0xbfe7644c "P\tNK\340\311\237\b\204\232\220K\300\017\253\b5\nNK\340\311\237\b\350\036\240\b\320D\a\b") at gsignal.c:2983
:        instance_and_params = 0x8aed750
:        signal_return_type = 4
:        param_values = 0x8aed764
:        node = <optimized out>
:        i = <optimized out>
:        n_params = 0
:        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
:#24 0x434e95c4 in g_signal_emit (instance=0x89fc9e0, signal_id=100, detail=0) at gsignal.c:3040
:        var_args = 0xbfe7644c "P\tNK\340\311\237\b\204\232\220K\300\017\253\b5\nNK\340\311\237\b\350\036\240\b\320D\a\b"
:#25 0x4b4e09da in gtk_button_released (button=0x89fc9e0) at gtkbutton.c:1120
:No locals.
:#26 0x4b4e0a35 in gtk_button_button_release (widget=0x89fc9e0, event=<optimized out>) at gtkbutton.c:1617
:        button = <optimized out>
:#27 gtk_button_button_release (widget=0x89fc9e0, event=0x8ab5b88) at gtkbutton.c:1609
:No locals.
:#28 0x003dca40 in Gtk::Widget::on_button_release_event (this=0x8ab0fc0, event=0x8ab5b88) at widget.cc:8121
:        base = <optimized out>
:#29 0x003dfad1 in Gtk::Widget_Class::button_release_event_callback (self=0x89fc9e0, p0=0x8ab5b88) at widget.cc:4673
:        obj = <optimized out>
:        obj_base = 0x8ab0fcc
:        base = <optimized out>
:#30 0x4b5b724a in _gtk_marshal_BOOLEAN__BOXED (closure=0x8a45010, return_value=0xbfe76634, n_param_values=2, param_values=0x8ae0ea0, invocation_hint=0xbfe76620, marshal_data=0x3dfa60) at gtkmarshalers.c:86
:        callback = 0x3dfa60 <Gtk::Widget_Class::button_release_event_callback(_GtkWidget*, _GdkEventButton*)>
:        cc = 0x8a45010
:        data1 = 0x89fc9e0
:        data2 = 0x89f64e8
:        v_return = <optimized out>
:        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
:#31 0x434cc8ce in g_type_class_meta_marshal (closure=0x8a45010, return_value=0xbfe76634, n_param_values=2, param_values=0x8ae0ea0, invocation_hint=0xbfe76620, marshal_data=0xb4) at gclosure.c:878
:        class = <optimized out>
:        callback = <optimized out>
:        offset = 180
:#32 0x434ce025 in g_closure_invoke (closure=0x8a45010, return_value=0xbfe76634, n_param_values=2, param_values=0x8ae0ea0, invocation_hint=0xbfe76620) at gclosure.c:767
:        marshal = 0x434cc870 <g_type_class_meta_marshal>
:        marshal_data = 0xb4
:        in_marshal = 0
:        __PRETTY_FUNCTION__ = "g_closure_invoke"
:#33 0x434e01cf in signal_emit_unlocked_R (node=0x8a450f8, detail=0, instance=0x89fc9e0, emission_return=0xbfe7676c, instance_and_params=0x8ae0ea0) at gsignal.c:3290
:        accumulator = 0x8a45128
:        emission = {next = 0x0, instance = 0x89fc9e0, ihint = {signal_id = 34, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 144749344}
:        class_closure = 0x8a45010
:        hlist = 0x8ab7f80
:        handler_list = 0x0
:        return_accu = 0xbfe76634
:        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
:        signal_id = 34
:        max_sequential_handler_number = 168
:        return_value_altered = 0
:#34 0x434e9228 in g_signal_emit_valist (instance=0x89fc9e0, signal_id=34, detail=0, var_args=0xbfe767e0 "\fh\347\277\210[\253\b\210[\253\bI\327pK\340\311\237\b@d\237\b(CHC") at gsignal.c:2993
:        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
:        error = 0x0
:        rtype = <optimized out>
:        static_scope = 0
:        instance_and_params = 0x8ae0ea0
:        signal_return_type = 20
:        param_values = 0x8ae0eb4
:        node = <optimized out>
:        i = <optimized out>
:        n_params = 1
:        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
:#35 0x434e95c4 in g_signal_emit (instance=0x89fc9e0, signal_id=34, detail=0) at gsignal.c:3040
:        var_args = 0xbfe767dc "\210[\253\b\fh\347\277\210[\253\b\210[\253\bI\327pK\340\311\237\b@d\237\b(CHC"
:#36 0x4b70d943 in gtk_widget_event_internal (widget=0x89fc9e0, event=0x8ab5b88) at gtkwidget.c:4995
:        signal_num = <optimized out>
:        return_val = 0
:#37 0x4b5b4e56 in IA__gtk_propagate_event (widget=0x89fc9e0, event=0x8ab5b88) at gtkmain.c:2489
:        tmp = <optimized out>
:        handled_event = <optimized out>
:        __PRETTY_FUNCTION__ = "IA__gtk_propagate_event"
:#38 0x4b5b5208 in IA__gtk_main_do_event (event=0x8ab5b88) at gtkmain.c:1684
:        event_widget = 0x89fc9e0
:        grab_widget = 0x89fc9e0
:        window_group = 0x8ab6870
:        rewritten_event = <optimized out>
:        tmp_list = <optimized out>
:        __PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
:#39 0x4b96d169 in gdk_event_dispatch (source=0x8a32ba8, callback=0, user_data=0x0) at gdkevents-x11.c:2377
:        display = <optimized out>
:        event = 0x8ab5b88
:#40 0x433ad5bf in g_main_dispatch (context=0x8a32e00) at gmain.c:2441
:        dispatch = 0x4b96d110 <gdk_event_dispatch>
:        was_in_call = 0
:        user_data = 0x0
:        callback = 0
:        cb_funcs = 0x0
:        cb_data = 0x0
:        current_source_link = {data = 0x8a32ba8, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x8a32ba8
:        current = 0x8aadec0
:        i = <optimized out>
:#41 g_main_context_dispatch (context=0x8a32e00) at gmain.c:3014
:No locals.
:#42 0x433add30 in g_main_context_iterate (context=0x8a32e00, block=1127991936, dispatch=1, self=0x89e9100) at gmain.c:3092
:        max_priority = 0
:        timeout = 0
:        some_ready = 1
:        nfds = <optimized out>
:        allocated_nfds = <optimized out>
:        fds = 0x432db5d0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#43 0x433ae457 in g_main_loop_run (loop=0x8ab8638) at gmain.c:3300
:        self = 0x89e9100
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#44 0x4b5b3f0f in IA__gtk_main () at gtkmain.c:1256
:        tmp_list = <optimized out>
:        functions = 0x0
:        init = <optimized out>
:        loop = 0x8ab8638
:#45 0x00356ce5 in Gtk::Main::run_impl (this=0xbfe76b10) at main.cc:534
:No locals.
:#46 0x0035786a in Gtk::Main::run (window=...) at main.cc:484
:No locals.
:#47 0x08052262 in main (argc=1, argv=0xbfe76c34) at main.cc:134
:        app = {<sigc::trackable> = {callback_list_ = 0x8a5ef98}, _vptr.Main = 0x4a96e8, static signal_run_ = {<No data fields>}, static signal_quit_ = {<No data fields>}, static signal_key_snooper_ = {<No data fields>}, static instance_ = 0xbfe76b10}
:        refXml = {pCppObject_ = 0x8a5dfb8}
:        pWnd = 0x8ab0e88
:        apWnd = {_M_ptr = 0x8ab0e88}
:        debug_opt = {_vptr.OptionEntry = 0x44295990, GOptionFlags = 134634762, gobject_ = 0x89ec690}
:        option_group = {_vptr.OptionGroup = 0x442959a8, map_entries_ = std::map with 1 elements = {[{static npos = 4294967295, string_ = "debug-output"}] = {carg_type_ = G_OPTION_ARG_NONE, carg_ = 0x89ec7b0, cpparg_ = 0xbfe76b27, entry_ = 0x89ec748}}, gobject_ = 0x89ec7f0, has_ownership_ = false}
:        debug_flag = true
:        option_context = {_vptr.OptionContext = 0x44295958, gobject_ = 0x89ec8e0, has_ownership_ = true}
:From        To          Syms Read   Shared Object Library
:0x007fe030  0x0080246c  Yes         /usr/lib/libbarrybackup.so.17
:0x009e85f0  0x00a580cc  Yes         /usr/lib/libbarry.so.17
:0x005ecbd0  0x005ef57c  Yes         /usr/lib/libglademm-2.4.so.1
:0x002f6280  0x0040461c  Yes         /usr/lib/libgtkmm-2.4.so.1
:0x4b9ddb20  0x4b9eb68c  Yes         /usr/lib/libglade-2.0.so.0
:0x44771690  0x4478b40c  Yes         /usr/lib/libatkmm-1.6.so.1
:0x00131380  0x0014a10c  Yes         /usr/lib/libgdkmm-2.4.so.1
:0x448032f0  0x4485c3ac  Yes         /usr/lib/libgiomm-2.4.so.1
:0x43cf5830  0x43d01bec  Yes         /usr/lib/libpangomm-1.4.so.1
:0x4425da10  0x4428225c  Yes         /usr/lib/libglibmm-2.4.so.1
:0x43d24550  0x43d304ac  Yes         /usr/lib/libcairomm-1.0.so.1
:0x43d0ed20  0x43d0fecc  Yes         /usr/lib/libsigc-2.0.so.0
:0x4b4b59c0  0x4b7a6fac  Yes         /usr/lib/libgtk-x11-2.0.so.0
:0x43aaec80  0x43b99bec  Yes         /usr/lib/libxml2.so.2
:0x4b9246a0  0x4b98f05c  Yes         /usr/lib/libgdk-x11-2.0.so.0
:0x43ca3530  0x43cb0bdc  Yes         /usr/lib/libatk-1.0.so.0
:0x43536c50  0x435f340c  Yes         /lib/libgio-2.0.so.0
:0x43be8570  0x43c0594c  Yes         /usr/lib/libpangoft2-1.0.so.0
:0x43cc1670  0x43cc6c4c  Yes         /usr/lib/libpangocairo-1.0.so.0
:0x43c779b0  0x43c8d88c  Yes         /usr/lib/libgdk_pixbuf-2.0.so.0
:0x43834720  0x4385149c  Yes         /usr/lib/libpng12.so.0
:0x4395f170  0x439e6b6c  Yes         /usr/lib/libcairo.so.2
:0x43c32240  0x43c53f0c  Yes         /usr/lib/libpango-1.0.so.0
:0x438aa480  0x439152dc  Yes         /usr/lib/libfreetype.so.6
:0x43871010  0x4388c66c  Yes         /usr/lib/libfontconfig.so.1
:0x434c8fe0  0x434fc72c  Yes         /lib/libgobject-2.0.so.0
:0x43512bd0  0x43513d4c  Yes         /lib/libgmodule-2.0.so.0
:0x4349ff30  0x434a170c  Yes         /lib/libgthread-2.0.so.0
:0x432f6880  0x432fa39c  Yes         /lib/librt.so.1
:0x4337e770  0x4341c3dc  Yes         /lib/libglib-2.0.so.0
:0x44302760  0x44375fdb  Yes         /usr/lib/libstdc++.so.6
:0x43303470  0x4331eb4c  Yes         /lib/libm.so.6
:0x4334ef30  0x43365c5c  Yes         /lib/libgcc_s.so.1
:0x432d6600  0x432e1d6c  Yes         /lib/libpthread.so.0
:0x4315ad10  0x43278d24  Yes         /lib/libc.so.6
:0x00d14f80  0x00d1992c  Yes         /usr/lib/libtar.so.1
:0x43488670  0x43495aac  Yes         /lib/libz.so.1
:0x44bc4070  0x44bc5dbc  Yes         /lib/libusb-0.1.so.4
:0x43947300  0x4394d4fc  Yes         /usr/lib/libXrender.so.1
:0x436c8310  0x43758fbc  Yes         /usr/lib/libX11.so.6
:0x4393fed0  0x4394264c  Yes         /usr/lib/libXfixes.so.3
:0x432eea60  0x432efa8c  Yes         /lib/libdl.so.2
:0x438206b0  0x4382b00c  Yes         /usr/lib/libXext.so.6
:0x43c98780  0x43c9924c  Yes         /usr/lib/libXinerama.so.1
:0x4b455780  0x4b45f9ac  Yes         /usr/lib/libXi.so.6
:0x43c1f150  0x43c23ccc  Yes         /usr/lib/libXrandr.so.2
:0x43c13e70  0x43c1935c  Yes         /usr/lib/libXcursor.so.1
:0x43a11880  0x43a1240c  Yes         /usr/lib/libXcomposite.so.1
:0x439527c0  0x439531fc  Yes         /usr/lib/libXdamage.so.1
:0x434a85f0  0x434b865c  Yes         /lib/libresolv.so.2
:0x43330490  0x43341d9c  Yes         /lib/libselinux.so.1
:0x43a1a000  0x43a8111c  Yes         /usr/lib/libpixman-1.so.0
:0x437f6040  0x4380fc7c  Yes         /lib/libexpat.so.1
:0x43123850  0x4313aaff  Yes         /lib/ld-linux.so.2
:0x44e58bb0  0x44e60bec  Yes         /lib/libusb-1.0.so.0
:0x4369ae90  0x436aa7bc  Yes         /usr/lib/libxcb.so.1
:0x437efa00  0x437f088c  Yes         /usr/lib/libXau.so.6
:0x0015ca40  0x00163f3c  Yes         /lib/libnss_files.so.2
:0x008f6a50  0x0091d0cc  Yes         /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
:0x00aa60e0  0x00aa6a6c  Yes         /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
:0x004ff510  0x0051346c  Yes         /usr/lib/libdbus-glib-1.so.2
:0x4364d6a0  0x4367ccfc  Yes         /lib/libdbus-1.so.3
:0x00cbe720  0x00cc092c  Yes         /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
:0x4bd6c540  0x4bd6db3c  Yes         /usr/lib/libcanberra-gtk.so.0
:0x44c983f0  0x44ca24ec  Yes         /usr/lib/libcanberra.so.0
:0x44b0d720  0x44b12afc  Yes         /usr/lib/libvorbisfile.so.3
:0x44982770  0x44998c5c  Yes         /usr/lib/libvorbis.so.0
:0x44978320  0x4497b06c  Yes         /usr/lib/libogg.so.0
:0x44af99b0  0x44b043dc  Yes         /usr/lib/libtdb.so.1
:0x44ae1a20  0x44ae652c  Yes         /usr/lib/libltdl.so.7
:0x43d4a8b0  0x43d4fa8c  Yes         /lib/libcrypt.so.1
:0x0051e950  0x005515cc  Yes         /lib/libfreebl3.so
:0x00d34490  0x00d5018c  Yes         /usr/lib/gio/modules/libgvfsdbus.so
:0x004e1c60  0x004ed47c  Yes         /usr/lib/libgvfscommon.so.0
:0x447303b0  0x44739acc  Yes         /lib/libudev.so.0
:0x448d4a20  0x448d542c  Yes         /lib/libutil.so.1
:$1 = 0x0
:$2 = 0x0
:eax            0x50	80
:ecx            0x0	0
:edx            0x50	80
:ebx            0x44296110	1143562512
:esp            0xbfe75bd0	0xbfe75bd0
:ebp            0xbfe75bf8	0xbfe75bf8
:esi            0x8ab6f70	145452912
:edi            0x8ab7f60	145456992
:eip            0x805e36d	0x805e36d <std::vector<Barry::DatabaseItem, std::allocator<Barry::DatabaseItem> >::begin() const+9>
:eflags         0x210282	[ SF IF RF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function std::vector<Barry::DatabaseItem, std::allocator<Barry::DatabaseItem> >::begin() const:
:   0x0805e364 <+0>:	push   %ebp
:   0x0805e365 <+1>:	mov    %esp,%ebp
:   0x0805e367 <+3>:	sub    $0x28,%esp
:   0x0805e36a <+6>:	mov    0xc(%ebp),%eax
:=> 0x0805e36d <+9>:	mov    (%eax),%eax
:   0x0805e36f <+11>:	mov    %eax,-0xc(%ebp)
:   0x0805e372 <+14>:	lea    -0xc(%ebp),%eax
:   0x0805e375 <+17>:	mov    %eax,0x4(%esp)
:   0x0805e379 <+21>:	mov    0x8(%ebp),%eax
:   0x0805e37c <+24>:	mov    %eax,(%esp)
:   0x0805e37f <+27>:	call   0x805e802 <__gnu_cxx::__normal_iterator<Barry::DatabaseItem const*, std::vector<Barry::DatabaseItem, std::allocator<Barry::DatabaseItem> > >::__normal_iterator(Barry::DatabaseItem const* const&)>
:   0x0805e384 <+32>:	mov    0x8(%ebp),%eax
:   0x0805e387 <+35>:	leave  
:   0x0805e388 <+36>:	ret    $0x4
:End of assembler dump.

build_ids:
:97d55ffd6efc5eed698afadb6b8a5d52a07cb771
:f9a96e2ed036ba670aa4cf9022515da8707b22de
:5351e799204bc5d533754fe7d48f79f3c5daf66b
:7fe85d5c2b64f27f69d65b7a05cd400090a6762f
:a65fefe2d5c0a743c823fe13b443bdaad84af783
:d360e10f91f4fe8fd374fa6232e19ad8c482e48e
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:6ff69bfdc1c80cf6751bb2c0fc15e0ab9783dd3d
:1b68f729f6bfa773ceb671e60f136f23c520a7dd
:62520e3bf1b3629e9c995d9d67fed0c0c3dbbac5
:61621d4c7a83779184a21f3fe2524b99ac2ba309
:3dc6434da358998cc0bc04aa2f33babaeac6952c
:051b3ad269d8b1e82edab0c8c60c20314591ec48
:f6d1a228543718cec6fdc5f6cc43b19a42795bd9
:97845cb2720bca8939ad32f1cab67f27a2c1921f
:7cd445b8ec3f25f9bc6a07121be552e31ad3d63e
:282ed7222a27ee4b2ab8d702a98f27e64c912db0
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:139fcc5ee83d74b17dd8231eb72307d6bdca98ad
:d3e5e5ac9b928039e702f69a7dcfee27c598f583
:e18695e040cee33414bc758c8716824d97f1ee7d
:c833d1602084a2aefe852c6c9838a2beea3d2280
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:798697a352bae4178953ba502fb04f33dd0ed987
:0465d1aca3ddd2f9a10bc1164f5035d00013c1bc
:6f87ea21308989c674f40d270f35514bbed96401
:5d86d516501190bd56650ce243e9518a192cc4d6
:26883f508da875084090d8220f276dbda913957f
:5486fc219c90bea089ffda1aec3d00cdb8a8f916
:6c62db659622616558823abb1c12f7c216fed997
:177452c458dbd4322d2fb524e0ede4fec9020580
:837e1ca00132cf34660139487cceaddde3d607c5
:7bf07d064f2f29e53a37f73f69a0fc9e392f2406
:7cde8206ad97ddf378cc9e6843180535983b0efc
:c334379ab52f6e393dcc00b95f6928d8b8db909a
:d4ed128ec9cc651b27c63ad325cf95af24ee726f
:eadee775fea6decdfedb95dde772d9f89ebac5fd
:2dc4e4ea515eca25191148452fac07de08443eb8
:b6b2972cf8b0ee025bce82785950be28875cd13c
:b4f8b453c124f1bcf32ee8273b7e7f149202ff68
:56dbf2b7630a34ab8e98d81362ac7348ec657f10
:4709482862f00637bedaf5eeda381d3c6ecf2996
:826bb4d8376c62b913b61301b276adab50e11c5a
:c0f4c1b29d774b73bab72675ac11f18a7e7641d2
:c25551e4f8f283ab55cb499112f486009e924d42
:d448be0052215856b805f0205bdea996057d402b
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:841a0730c30c9f98cba256b9c5390b9c0cfe19ce
:cf104ecd916f10901704751a71272a841ab5d59a
:dfbf1e8408a4671e52d3183a56a5a8340f7bb39b
:7e6aafad9f1e6b91a8ef1ef07907bec91fbfe26b
:23d1086014ed5544b3df4cee1f95694032252322
:5c21c39abc041ce1831fa4ea3e856ccf77c4a9db
:cd075f073e50e0d55afcbefe042da61a4486c101
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:34d715e2766f8694271730798a4b8e1605ec93ea
:f4990d62b7d0de5bce3f44c487509f32f3f117d7
:49cf2327b1048081857bee3b4eacae80a11c88a4
:25c5e67291f34713a82cdf92147adec423771905
:92a9033bbedc303317346dc414914fec5643bd7b
:84b057caeb7f80b34a00c58b3684cc85c66651c3
:d3c1503a63d7f9c0b9b4a8a083e3ba68f6f95962
:d2045f4c10915a2dbdae538779df8be680d0a663
:9cbd10954ad020efe950e6aa36bf704b9eefe86a
:07396b640f55b029f725a93d46e4ac8ddf74a283
:872fe6020efffe0829a231da5dd4e51f41a4dce3
:e8ea8485e9bdf047fc0484d5eeb63a9af5e824e6
:15bab279752ad8e30f901abae77bcb1ed1f38977
:9c04594db13fd8fd6e899a12f1d5cef5b52798cc
:8bae3ea4ef7ae53450c3cdd0ea43e7cf7d362c4f
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:4104e70664651830d4d7bc8cfc3278e06a0d62d0
:5a4b4eca5a07087498a211616ade557aa901d893
:07f2ce23b8b8eb50f8d7673c992b706c2bbd554a
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:0c14e19cfa71be8dbee7582f9b90d4a5b886051e
:37b6ae12c782e78ad8450b2cc126c822a538f9df
:55433495aa80cf9e1f994ea7e7ae278422ef1ede

dso_list:
:/usr/lib/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.i686 (Fedora Project) 1313611538
:/usr/lib/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.17-1.fc15.i686 (Fedora Project) 1313612412
:/usr/bin/barrybackup barry-0.17.1-1.fc15.i686 (Fedora Project) 1316259048
:/lib/libutil-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313611502
:/usr/lib/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.i686 (Fedora Project) 1313611579
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1305315794
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libusb-1.0.so.0.0.0 libusb1-1.0.8-7.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.i686 (Fedora Project) 1313611579
:/lib/ld-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313611502
:/usr/lib/libbarry.so.17.0.1 barry-libs-0.17.1-1.fc15.i686 (Fedora Project) 1316259042
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1313611883
:/lib/libc-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313611502
:/usr/lib/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.i686 (Fedora Project) 1305315772
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1305315796
:/lib/libcrypt-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313611502
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.28-3.fc15.i686 (Fedora Project) 1305315858
:/lib/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1313611552
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.i686 (Fedora Project) 1305315770
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libgtkmm-2.4.so.1.1.0 gtkmm24-2.24.0-3.fc15.i686 (Fedora Project) 1316259036
:/lib/libm-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313611502
:/usr/lib/libcairomm-1.0.so.1.4.0 cairomm-1.9.8-2.fc15.2.i686 (Fedora Project) 1305315807
:/usr/lib/libtar.so.1.2.11 libtar-1.2.11-20.fc15.i686 (Fedora Project) 1316259041
:/lib/libusb-0.1.so.4.4.4 libusb-1:0.1.3-9.fc15.i686 (Fedora Project) 1313611549
:/usr/lib/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1305315771
:/lib/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1313611552
:/usr/lib/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libsigc-2.0.so.0.0.0 libsigc++20-2.2.9-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.i686 (Fedora Project) 1305315771
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1305315766
:/usr/lib/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.i686 (Fedora Project) 1305315862
:/lib/librt-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313611502
:/usr/lib/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/usr/lib/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.i686 (Fedora Project) 1313611557
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.i686 (Fedora Project) 1305315796
:/lib/libnss_files-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313611502
:/usr/lib/libpangomm-1.4.so.1.0.30 pangomm-2.28.2-1.fc15.i686 (Fedora Project) 1305315863
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.i686 (Fedora Project) 1313611539
:/usr/lib/libglademm-2.4.so.1.0.5 libglademm24-2.6.7-4.fc15.i686 (Fedora Project) 1316259038
:/usr/lib/libXi.so.6.1.0 libXi-1.4.3-2.fc15.i686 (Fedora Project) 1315763342
:/usr/lib/libatkmm-1.6.so.1.1.0 atkmm-2.22.5-1.fc15.i686 (Fedora Project) 1305315780
:/usr/lib/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1305315770
:/lib/libudev.so.0.11.1 libudev-167-4.fc15.i686 (Fedora Project) 1305315771
:/lib/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1313611552
:/usr/lib/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1313611883
:/usr/lib/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc15.i686 (Fedora Project) 1305315858
:/lib/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1313611552
:/lib/libresolv-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313611502
:/usr/lib/libbarrybackup.so.17.0.1 barry-libs-0.17.1-1.fc15.i686 (Fedora Project) 1316259042
:/usr/lib/libgiomm-2.4.so.1.3.0 glibmm24-2.28.1-1.fc15.i686 (Fedora Project) 1313611790
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.i686 (Fedora Project) 1313611476
:/lib/libdl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313611502
:/usr/lib/gconv/gconv-modules.cache glibc-2.14-5.i686 (Fedora Project) 1313611502
:/usr/lib/libgdkmm-2.4.so.1.1.0 gtkmm24-2.24.0-3.fc15.i686 (Fedora Project) 1316259036
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.i686 (Fedora Project) 1313611541
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.i686 (Fedora Project) 1305315774
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.i686 (Fedora Project) 1305315807
:/lib/libpthread-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313611502
:/usr/lib/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libglibmm-2.4.so.1.3.0 glibmm24-2.28.1-1.fc15.i686 (Fedora Project) 1313611790
:/lib/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.i686 (Fedora Project) 1313611497
:/usr/lib/libglade-2.0.so.0.0.7 libglade2-2.6.4-5.fc15.i686 (Fedora Project) 1305315852
:/lib/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1313611552
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.i686 (Fedora Project) 1313611540
:/usr/lib/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.i686 (Fedora Project) 1305315798
:/usr/lib/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.i686 (Fedora Project) 1305315772

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-schulze
:XDG_SESSION_ID=1
:HOSTNAME=Dell-D420
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-haWABT/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=427a3bcdbaf8425b6a7d8e7d00000016-1316258698.48006-1829528697
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=25165830
:GNOME_KEYRING_CONTROL=/tmp/keyring-haWABT
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=schulze
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/keyring-haWABT/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1435,unix/unix:/tmp/.ICE-unix/1435
:USERNAME=schulze
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/schulze/bin
:MAIL=/var/spool/mail/schulze
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/schulze
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1424
:LANG=C
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/schulze
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=schulze
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-3r6pTdOM2H,guid=7d96edb506e5d2181c1f689400000066
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/schulze
:DISPLAY=:0.0
:G_BROKEN_FILENAMES=1
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-schulze-K3MqsD/database
:_=/usr/bin/env

maps:
:00110000-00158000 r-xp 00000000 fd:01 149660     /usr/lib/libgdkmm-2.4.so.1.1.0
:00158000-0015b000 rw-p 00047000 fd:01 149660     /usr/lib/libgdkmm-2.4.so.1.1.0
:0015b000-00166000 r-xp 00000000 fd:01 1353       /lib/libnss_files-2.14.so
:00166000-00167000 r--p 0000a000 fd:01 1353       /lib/libnss_files-2.14.so
:00167000-00168000 rw-p 0000b000 fd:01 1353       /lib/libnss_files-2.14.so
:00179000-0048a000 r-xp 00000000 fd:01 149669     /usr/lib/libgtkmm-2.4.so.1.1.0
:0048a000-004db000 rw-p 00310000 fd:01 149669     /usr/lib/libgtkmm-2.4.so.1.1.0
:004db000-004f1000 r-xp 00000000 fd:01 154271     /usr/lib/libgvfscommon.so.0.0.0
:004f1000-004f2000 rw-p 00016000 fd:01 154271     /usr/lib/libgvfscommon.so.0.0.0
:004f7000-004f8000 r-xp 00000000 00:00 0          [vdso]
:004f8000-0051c000 r-xp 00000000 fd:01 154078     /usr/lib/libdbus-glib-1.so.2.1.0
:0051c000-0051d000 rw-p 00024000 fd:01 154078     /usr/lib/libdbus-glib-1.so.2.1.0
:0051d000-00566000 r-xp 00000000 fd:01 1879       /lib/libfreebl3.so
:00566000-00567000 rw-p 00048000 fd:01 1879       /lib/libfreebl3.so
:00567000-0056b000 rw-p 00000000 00:00 0 
:005e9000-005f1000 r-xp 00000000 fd:01 151084     /usr/lib/libglademm-2.4.so.1.0.5
:005f1000-005f2000 rw-p 00007000 fd:01 151084     /usr/lib/libglademm-2.4.so.1.0.5
:007fb000-00804000 r-xp 00000000 fd:01 155708     /usr/lib/libbarrybackup.so.17.0.1
:00804000-00805000 rw-p 00008000 fd:01 155708     /usr/lib/libbarrybackup.so.17.0.1
:008f4000-00922000 r-xp 00000000 fd:01 45244      /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
:00922000-00923000 rw-p 0002d000 fd:01 45244      /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
:009c9000-00a76000 r-xp 00000000 fd:01 154551     /usr/lib/libbarry.so.17.0.1
:00a76000-00a7a000 rw-p 000ad000 fd:01 154551     /usr/lib/libbarry.so.17.0.1
:00aa5000-00aa7000 r-xp 00000000 fd:01 25312      /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
:00aa7000-00aa8000 rw-p 00002000 fd:01 25312      /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
:00cbd000-00cc2000 r-xp 00000000 fd:01 44897      /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
:00cc2000-00cc3000 rw-p 00004000 fd:01 44897      /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
:00d13000-00d1b000 r-xp 00000000 fd:01 154403     /usr/lib/libtar.so.1.2.11
:00d1b000-00d1c000 rw-p 00008000 fd:01 154403     /usr/lib/libtar.so.1.2.11
:00d1c000-00d1e000 rw-p 00000000 00:00 0 
:00d2e000-00d58000 r-xp 00000000 fd:01 150211     /usr/lib/gio/modules/libgvfsdbus.so
:00d58000-00d59000 rw-p 0002a000 fd:01 150211     /usr/lib/gio/modules/libgvfsdbus.so
:08048000-08074000 r-xp 00000000 fd:01 158118     /usr/bin/barrybackup
:08074000-08075000 rw-p 0002c000 fd:01 158118     /usr/bin/barrybackup
:089e7000-08b4e000 rw-p 00000000 00:00 0          [heap]
:43123000-43140000 r-xp 00000000 fd:01 1628       /lib/ld-2.14.so
:43140000-43141000 r--p 0001d000 fd:01 1628       /lib/ld-2.14.so
:43141000-43142000 rw-p 0001e000 fd:01 1628       /lib/ld-2.14.so
:43144000-432c9000 r-xp 00000000 fd:01 1629       /lib/libc-2.14.so
:432c9000-432ca000 ---p 00185000 fd:01 1629       /lib/libc-2.14.so
:432ca000-432cc000 r--p 00185000 fd:01 1629       /lib/libc-2.14.so
:432cc000-432cd000 rw-p 00187000 fd:01 1629       /lib/libc-2.14.so
:432cd000-432d0000 rw-p 00000000 00:00 0 
:432d2000-432e8000 r-xp 00000000 fd:01 1630       /lib/libpthread-2.14.so
:432e8000-432e9000 r--p 00015000 fd:01 1630       /lib/libpthread-2.14.so
:432e9000-432ea000 rw-p 00016000 fd:01 1630       /lib/libpthread-2.14.so
:432ea000-432ec000 rw-p 00000000 00:00 0 
:432ee000-432f1000 r-xp 00000000 fd:01 1686       /lib/libdl-2.14.so
:432f1000-432f2000 r--p 00002000 fd:01 1686       /lib/libdl-2.14.so
:432f2000-432f3000 rw-p 00003000 fd:01 1686       /lib/libdl-2.14.so
:432f5000-432fc000 r-xp 00000000 fd:01 1631       /lib/librt-2.14.so
:432fc000-432fd000 r--p 00006000 fd:01 1631       /lib/librt-2.14.so
:432fd000-432fe000 rw-p 00007000 fd:01 1631       /lib/librt-2.14.so
:43300000-43328000 r-xp 00000000 fd:01 1816       /lib/libm-2.14.so
:43328000-43329000 r--p 00028000 fd:01 1816       /lib/libm-2.14.so
:43329000-4332a000 rw-p 00029000 fd:01 1816       /lib/libm-2.14.so
:4332c000-43349000 r-xp 00000000 fd:01 1877       /lib/libselinux.so.1
:43349000-4334a000 r--p 0001c000 fd:01 1877       /lib/libselinux.so.1
:4334a000-4334b000 rw-p 0001d000 fd:01 1877       /lib/libselinux.so.1
:4334d000-43369000 r-xp 00000000 fd:01 1688       /lib/libgcc_s-4.6.0-20110603.so.1
:43369000-4336a000 rw-p 0001b000 fd:01 1688       /lib/libgcc_s-4.6.0-20110603.so.1
:4336c000-43484000 r-xp 00000000 fd:01 1682       /lib/libglib-2.0.so.0.2800.8
:43484000-43485000 rw-p 00118000 fd:01 1682       /lib/libglib-2.0.so.0.2800.8
:43487000-4349c000 r-xp 00000000 fd:01 1818       /lib/libz.so.1.2.5
:4349c000-4349d000 rw-p 00014000 fd:01 1818       /lib/libz.so.1.2.5
:4349f000-434a3000 r-xp 00000000 fd:01 1683       /lib/libgthread-2.0.so.0.2800.8
:434a3000-434a4000 rw-p 00003000 fd:01 1683       /lib/libgthread-2.0.so.0.2800.8
:434a6000-434bc000 r-xp 00000000 fd:01 1872       /lib/libresolv-2.14.so
:434bc000-434bd000 r--p 00016000 fd:01 1872       /lib/libresolv-2.14.so
:434bd000-434be000 rw-p 00017000 fd:01 1872       /lib/libresolv-2.14.so
:434be000-434c0000 rw-p 00000000 00:00 0 
:434c2000-4350e000 r-xp 00000000 fd:01 1684       /lib/libgobject-2.0.so.0.2800.8
:4350e000-43510000 rw-p 0004b000 fd:01 1684       /lib/libgobject-2.0.so.0.2800.8
:43512000-43515000 r-xp 00000000 fd:01 1815       /lib/libgmodule-2.0.so.0.2800.8
:43515000-43516000 rw-p 00002000 fd:01 1815       /lib/libgmodule-2.0.so.0.2800.8
:43518000-43642000 r-xp 00000000 fd:01 1878       /lib/libgio-2.0.so.0.2800.8
:43642000-43645000 rw-p 00129000 fd:01 1878       /lib/libgio-2.0.so.0.2800.8
:43645000-43646000 rw-p 00000000 00:00 0 
:43648000-4368f000 r-xp 00000000 fd:01 1632       /lib/libdbus-1.so.3.5.4
:4368f000-43690000 ---p 00047000 fd:01 1632       /lib/libdbus-1.so.3.5.4
:43690000-43691000 r--p 00047000 fd:01 1632       /lib/libdbus-1.so.3.5.4
:43691000-43692000 rw-p 00048000 fd:01 1632       /lib/libdbus-1.so.3.5.4
:43694000-436b1000 r-xp 00000000 fd:01 154087     /usr/lib/libxcb.so.1.1.0
:436b1000-436b2000 rw-p 0001d000 fd:01 154087     /usr/lib/libxcb.so.1.1.0
:436b4000-437e9000 r-xp 00000000 fd:01 154088     /usr/lib/libX11.so.6.3.0
:437e9000-437ed000 rw-p 00134000 fd:01 154088     /usr/lib/libX11.so.6.3.0
:437ef000-437f1000 r-xp 00000000 fd:01 138194     /usr/lib/libXau.so.6.0.0
:437f1000-437f2000 rw-p 00001000 fd:01 138194     /usr/lib/libXau.so.6.0.0
:437f4000-4381a000 r-xp 00000000 fd:01 1817       /lib/libexpat.so.1.5.2
:4381a000-4381c000 rw-p 00026000 fd:01 1817       /lib/libexpat.so.1.5.2
:4381e000-4382e000 r-xp 00000000 fd:01 154093     /usr/lib/libXext.so.6.4.0
:4382e000-4382f000 rw-p 00010000 fd:01 154093     /usr/lib/libXext.so.6.4.0
:43831000-43859000 r-xp 00000000 fd:01 154086     /usr/lib/libpng12.so.0.46.0
:43859000-4385a000 rw-p 00027000 fd:01 154086     /usr/lib/libpng12.so.0.46.0
:4386d000-438a0000 r-xp 00000000 fd:01 138190     /usr/lib/libfontconfig.so.1.4.4
:438a0000-438a1000 rw-p 00033000 fd:01 138190     /usr/lib/libfontconfig.so.1.4.4
:438a3000-43939000 r-xp 00000000 fd:01 154085     /usr/lib/libfreetype.so.6.6.2
:43939000-4393d000 rw-p 00095000 fd:01 154085     /usr/lib/libfreetype.so.6.6.2
:4393f000-43943000 r-xp 00000000 fd:01 154096     /usr/lib/libXfixes.so.3.1.0
:43943000-43944000 rw-p 00003000 fd:01 154096     /usr/lib/libXfixes.so.3.1.0
:43946000-4394f000 r-xp 00000000 fd:01 154089     /usr/lib/libXrender.so.1.3.0
:4394f000-43950000 rw-p 00008000 fd:01 154089     /usr/lib/libXrender.so.1.3.0
:43952000-43954000 r-xp 00000000 fd:01 154099     /usr/lib/libXdamage.so.1.1.0
:43954000-43955000 rw-p 00001000 fd:01 154099     /usr/lib/libXdamage.so.1.1.0
:43957000-43a0b000 r-xp 00000000 fd:01 154090     /usr/lib/libcairo.so.2.11000.2
:43a0b000-43a0d000 rw-p 000b3000 fd:01 154090     /usr/lib/libcairo.so.2.11000.2
:43a0d000-43a0f000 rw-p 00000000 00:00 0 
:43a11000-43a13000 r-xp 00000000 fd:01 154098     /usr/lib/libXcomposite.so.1.0.0
:43a13000-43a14000 rw-p 00001000 fd:01 154098     /usr/lib/libXcomposite.so.1.0.0
:43a16000-43a8d000 r-xp 00000000 fd:01 154084     /usr/lib/libpixman-1.so.0.20.2
:43a8d000-43a91000 rw-p 00076000 fd:01 154084     /usr/lib/libpixman-1.so.0.20.2
:43a93000-43bdb000 r-xp 00000000 fd:01 141636     /usr/lib/libxml2.so.2.7.8
:43bdb000-43be0000 rw-p 00147000 fd:01 141636     /usr/lib/libxml2.so.2.7.8
:43be0000-43be1000 rw-p 00000000 00:00 0 
:43be3000-43c0f000 r-xp 00000000 fd:01 154091     /usr/lib/libpangoft2-1.0.so.0.2800.4
:43c0f000-43c10000 rw-p 0002b000 fd:01 154091     /usr/lib/libpangoft2-1.0.so.0.2800.4
:43c12000-43c1b000 r-xp 00000000 fd:01 154097     /usr/lib/libXcursor.so.1.0.2
:43c1b000-43c1c000 rw-p 00008000 fd:01 154097     /usr/lib/libXcursor.so.1.0.2
:43c1e000-43c25000 r-xp 00000000 fd:01 139386     /usr/lib/libXrandr.so.2.2.0
:43c25000-43c26000 rw-p 00006000 fd:01 139386     /usr/lib/libXrandr.so.2.2.0
:43c28000-43c6f000 r-xp 00000000 fd:01 154083     /usr/lib/libpango-1.0.so.0.2800.4
:43c6f000-43c71000 rw-p 00046000 fd:01 154083     /usr/lib/libpango-1.0.so.0.2800.4
:43c73000-43c95000 r-xp 00000000 fd:01 154100     /usr/lib/libgdk_pixbuf-2.0.so.0.2300.3
:43c95000-43c96000 rw-p 00021000 fd:01 154100     /usr/lib/libgdk_pixbuf-2.0.so.0.2300.3
:43c98000-43c9a000 r-xp 00000000 fd:01 154094     /usr/lib/libXinerama.so.1.0.0
:43c9a000-43c9b000 rw-p 00001000 fd:01 154094     /usr/lib/libXinerama.so.1.0.0
:43c9d000-43cba000 r-xp 00000000 fd:01 147794     /usr/lib/libatk-1.0.so.0.9.1
:43cba000-43cbc000 rw-p 0001c000 fd:01 147794     /usr/lib/libatk-1.0.so.0.9.1
:43cbe000-43cc9000 r-xp 00000000 fd:01 154092     /usr/lib/libpangocairo-1.0.so.0.2800.4
:43cc9000-43cca000 rw-p 0000a000 fd:01 154092     /usr/lib/libpangocairo-1.0.so.0.2800.4
:43ce0000-43d09000 r-xp 00000000 fd:01 154248     /usr/lib/libpangomm-1.4.so.1.0.30
:43d09000-43d0b000 rw-p 00029000 fd:01 154248     /usr/lib/libpangomm-1.4.so.1.0.30
:43d0d000-43d11000 r-xp 00000000 fd:01 154245     /usr/lib/libsigc-2.0.so.0.0.0
:43d11000-43d12000 rw-p 00003000 fd:01 154245     /usr/lib/libsigc-2.0.so.0.0.0
:43d14000-43d36000 r-xp 00000000 fd:01 139757     /usr/lib/libcairomm-1.0.so.1.4.0
:43d36000-43d37000 rw-p 00022000 fd:01 139757     /usr/lib/libcairomm-1.0.so.1.4.0
:43d4a000-43d51000 r-xp 00000000 fd:01 1880       /lib/libcrypt-2.14.so
:43d51000-43d52000 r--p 00007000 fd:01 1880       /lib/libcrypt-2.14.so
:43d52000-43d53000 rw-p 00008000 fd:01 1880       /lib/libcrypt-2.14.so
:43d53000-43d7a000 rw-p 00000000 00:00 0 
:44235000-44295000 r-xp 00000000 fd:01 154246     /usr/lib/libglibmm-2.4.so.1.3.0
:44295000-44298000 rw-p 00060000 fd:01 154246     /usr/lib/libglibmm-2.4.so.1.3.0
:442ba000-4439c000 r-xp 00000000 fd:01 148678     /usr/lib/libstdc++.so.6.0.16
:4439c000-443a0000 r--p 000e1000 fd:01 148678     /usr/lib/libstdc++.so.6.0.16
:443a0000-443a2000 rw-p 000e5000 fd:01 148678     /usr/lib/libstdc++.so.6.0.16
:443a2000-443a8000 rw-p 00000000 00:00 0 
:4472e000-4473d000 r-xp 00000000 fd:01 1814       /lib/libudev.so.0.11.1
:4473d000-4473e000 r--p 0000e000 fd:01 1814       /lib/libudev.so.0.11.1
:4473e000-4473f000 rw-p 0000f000 fd:01 1814       /lib/libudev.so.0.11.1
:44757000-44798000 r-xp 00000000 fd:01 153280     /usr/lib/libatkmm-1.6.so.1.1.0
:44798000-4479c000 rw-p 00040000 fd:01 153280     /usr/lib/libatkmm-1.6.so.1.1.0
:4479e000-44886000 r-xp 00000000 fd:01 139778     /usr/lib/libgiomm-2.4.so.1.3.0
:44886000-44891000 rw-p 000e7000 fd:01 139778     /usr/lib/libgiomm-2.4.so.1.3.0
:448d4000-448d6000 r-xp 00000000 fd:01 2313       /lib/libutil-2.14.so
:448d6000-448d7000 r--p 00001000 fd:01 2313       /lib/libutil-2.14.so
:448d7000-448d8000 rw-p 00002000 fd:01 2313       /lib/libutil-2.14.so
:44977000-4497d000 r-xp 00000000 fd:01 154138     /usr/lib/libogg.so.0.7.1
:4497d000-4497e000 rw-p 00005000 fd:01 154138     /usr/lib/libogg.so.0.7.1
:44980000-449aa000 r-xp 00000000 fd:01 154139     /usr/lib/libvorbis.so.0.4.5
:449aa000-449ab000 rw-p 00029000 fd:01 154139     /usr/lib/libvorbis.so.0.4.5
:44ae0000-44ae9000 r-xp 00000000 fd:01 154124     /usr/lib/libltdl.so.7.3.0
:44ae9000-44aea000 rw-p 00008000 fd:01 154124     /usr/lib/libltdl.so.7.3.0
:44af8000-44b09000 r-xp 00000000 fd:01 154141     /usr/lib/libtdb.so.1.2.9
:44b09000-44b0a000 rw-p 00010000 fd:01 154141     /usr/lib/libtdb.so.1.2.9
:44b0c000-44b14000 r-xp 00000000 fd:01 154140     /usr/lib/libvorbisfile.so.3.3.4
:44b14000-44b15000 rw-p 00007000 fd:01 154140     /usr/lib/libvorbisfile.so.3.3.4
:44bc3000-44bc7000 r-xp 00000000 fd:01 20151      /lib/libusb-0.1.so.4.4.4
:44bc7000-44bc8000 rw-p 00003000 fd:01 20151      /lib/libusb-0.1.so.4.4.4
:44c96000-44ca6000 r-xp 00000000 fd:01 154142     /usr/lib/libcanberra.so.0.2.5
:44ca6000-44ca7000 rw-p 0000f000 fd:01 154142     /usr/lib/libcanberra.so.0.2.5
:44e57000-44e64000 r-xp 00000000 fd:01 7908       /lib/libusb-1.0.so.0.0.0
:44e64000-44e65000 rw-p 0000c000 fd:01 7908       /lib/libusb-1.0.so.0.0.0
:4b454000-4b462000 r-xp 00000000 fd:01 139119     /usr/lib/libXi.so.6.1.0
:4b462000-4b463000 rw-p 0000d000 fd:01 139119     /usr/lib/libXi.so.6.1.0
:4b465000-4b906000 r-xp 00000000 fd:01 139577     /usr/lib/libgtk-x11-2.0.so.0.2400.4
:4b906000-4b90c000 rw-p 004a1000 fd:01 139577     /usr/lib/libgtk-x11-2.0.so.0.2400.4
:4b90c000-4b90d000 rw-p 00000000 00:00 0 
:4b90f000-4b9c8000 r-xp 00000000 fd:01 139294     /usr/lib/libgdk-x11-2.0.so.0.2400.4
:4b9c8000-4b9cb000 rw-p 000b9000 fd:01 139294     /usr/lib/libgdk-x11-2.0.so.0.2400.4
:4b9d7000-4b9ef000 r-xp 00000000 fd:01 148230     /usr/lib/libglade-2.0.so.0.0.7
:4b9ef000-4b9f0000 rw-p 00018000 fd:01 148230     /usr/lib/libglade-2.0.so.0.0.7
:4bd6b000-4bd6f000 r-xp 00000000 fd:01 142526     /usr/lib/libcanberra-gtk.so.0.1.8
:4bd6f000-4bd70000 rw-p 00003000 fd:01 142526     /usr/lib/libcanberra-gtk.so.0.1.8
:b2e0d000-b2e6d000 rw-s 00000000 00:04 262148     /SYSV00000000 (deleted)
:b2e6d000-b2e87000 r--s 00000000 fd:01 139117     /usr/share/mime/mime.cache
:b2e87000-b3b5e000 r--p 00000000 fd:01 141195     /usr/share/icons/hicolor/icon-theme.cache
:b3b5e000-b76bb000 r--p 00000000 fd:01 155807     /usr/share/icons/gnome/icon-theme.cache
:b76bb000-b76bc000 rw-p 00000000 00:00 0 
:b76bc000-b76c6000 r--p 00000000 fd:01 138118     /usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf
:b76c6000-b76c9000 r--s 00000000 fd:01 7297       /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-le32d4.cache-3
:b76c9000-b76cf000 r--s 00000000 fd:01 7230       /var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-le32d4.cache-3
:b76cf000-b76d1000 r--s 00000000 fd:01 5579       /var/cache/fontconfig/0b1bcc92b4d25cc154d77dafe3bceaa0-le32d4.cache-3
:b76d1000-b76d3000 r--s 00000000 fd:01 37272      /var/cache/fontconfig/2e1514a9fdd499050989183bb65136db-le32d4.cache-3
:b76d3000-b76d5000 r--s 00000000 fd:01 5577       /var/cache/fontconfig/5c755b2f27115486aa6359c84dd3cbda-le32d4.cache-3
:b76d5000-b76d6000 r--s 00000000 fd:01 5576       /var/cache/fontconfig/3f821257dd33660ba7bbb45c32deb84c-le32d4.cache-3
:b76d6000-b76d8000 r--s 00000000 fd:01 5575       /var/cache/fontconfig/830f035fa84a65ce80e050178dbb630d-le32d4.cache-3
:b76d8000-b76d9000 r--s 00000000 fd:01 5574       /var/cache/fontconfig/81a173283b451552b599cfaafd6236bd-le32d4.cache-3
:b76d9000-b76da000 r--s 00000000 fd:01 5573       /var/cache/fontconfig/ac68f755438cc3dc5a526084839fc7ca-le32d4.cache-3
:b76da000-b76db000 r--s 00000000 fd:01 5572       /var/cache/fontconfig/12513961c6e7090f8648812f9eaf65d6-le32d4.cache-3
:b76db000-b76dd000 r--s 00000000 fd:01 5571       /var/cache/fontconfig/e26bf336397aae6fcef4d3803472adec-le32d4.cache-3
:b76dd000-b76de000 r--s 00000000 fd:01 5570       /var/cache/fontconfig/a5c2dc934fad9bbf30c854216245519d-le32d4.cache-3
:b76de000-b76df000 r--s 00000000 fd:01 5569       /var/cache/fontconfig/17e60ccdf2eb53b214a9a5d6663eb217-le32d4.cache-3
:b76df000-b76e0000 r--s 00000000 fd:01 25800      /var/cache/fontconfig/6fcb01a03a016cc71057b587cdea6709-le32d4.cache-3
:b76e0000-b76e1000 r--s 00000000 fd:01 20002      /var/cache/fontconfig/b887eea8f1b96e1d899b44ed6681fc27-le32d4.cache-3
:b76e1000-b76e2000 r--s 00000000 fd:01 5567       /var/cache/fontconfig/860639f272b8b4b3094f9e399e41bccd-le32d4.cache-3
:b76e2000-b76e3000 r--s 00000000 fd:01 5566       /var/cache/fontconfig/211368abcb0ff835c229ff05c9ec01dc-le32d4.cache-3
:b76e3000-b76e4000 r--s 00000000 fd:01 5565       /var/cache/fontconfig/c46020d7221988a13df853d2b46304fc-le32d4.cache-3
:b76e4000-b76e5000 r--s 00000000 fd:01 37273      /var/cache/fontconfig/df893b4576ad6107f9397134092c4059-le32d4.cache-3
:b76e5000-b76e6000 r--s 00000000 fd:01 5563       /var/cache/fontconfig/900402270e15d763a6e008bb2d4c7686-le32d4.cache-3
:b76e6000-b76e7000 r--s 00000000 fd:01 21133      /var/cache/fontconfig/47f48679023f44a4d1e44699a69464f6-le32d4.cache-3
:b76e7000-b76e8000 r--s 00000000 fd:01 5561       /var/cache/fontconfig/2881ed3fd21ca306ddad6f9b0dd3189f-le32d4.cache-3
:b76e8000-b76eb000 r--s 00000000 fd:01 37274      /var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-le32d4.cache-3
:b76eb000-b76fb000 rw-p 00000000 00:00 0 
:b76fb000-b76fc000 r--s 00000000 fd:01 5560       /var/cache/fontconfig/3c3fb04d32a5211b073874b125d29701-le32d4.cache-3
:b76fc000-b76fd000 r--s 00000000 fd:01 5559       /var/cache/fontconfig/e61abf8156cc476151baa07d67337cae-le32d4.cache-3
:b76fd000-b76fe000 r--s 00000000 fd:01 5557       /var/cache/fontconfig/d3379abda271c4acd2ad0c01f565d0b0-le32d4.cache-3
:b76fe000-b76ff000 r--s 00000000 fd:01 5556       /var/cache/fontconfig/b4d0b56f766d89640448751fcd18ec1e-le32d4.cache-3
:b76ff000-b7706000 r--s 00000000 fd:01 5555       /var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-le32d4.cache-3
:b7706000-b7707000 r--s 00000000 fd:01 5554       /var/cache/fontconfig/3640555adad8a8f6978400293cfce7ab-le32d4.cache-3
:b7707000-b770e000 r--s 00000000 fd:01 134945     /usr/lib/gconv/gconv-modules.cache
:b770e000-b770f000 rw-p 00000000 00:00 0 
:bfe58000-bfe79000 rw-p 00000000 00:00 0          [stack]

var_log_messages:
:Sep 17 13:48:34 Dell-D420 kernel: [ 1521.327185] barrybackup[2532]: segfault at 50 ip 0805e36d sp bfe75bd0 error 4 in barrybackup[8048000+2c000]
:Sep 17 13:48:35 Dell-D420 abrt[2534]: saved core dump of pid 2532 (/usr/bin/barrybackup) to /var/spool/abrt/ccpp-2011-09-17-13:48:34-2532.new/coredump (3391488 bytes)

Comment 1 Nathanael Noblet 2011-09-20 16:59:03 UTC
upstreams comments:

According to the trace log, it appears that he also pressed the Backup
button, and it was in the process of preparing to do a backup when it crashed.

As far as I can tell, m_desktop was null, or invalid, when it crashed,
and that should only happen if the device is in the disconnected state.
So far, I'm unable to find a way to get to the backup stage in the
disconnected state.  The code should block that, and as far as I can
tell, it does.

Does he still have the core dump file?  If he is able to use gdb
to examine the value of m_desktop at backtrace #1, I'd like to know if
it is null or some other value.  That might be asking a lot though. :-)

He says that he ran barrybackup in debug mode (-d)... it would be useful
if he posted that output as well. 

*coredump file would be in /var/spool/abrt/ccpp-2011-09-17-13:48:34-2532.new/coredump if you could post it someplace.

Comment 2 Fedora End Of Life 2012-08-07 20:00:09 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.